document.querySelector('.btn-gestion-menu').addEventListener('click', function(event) {
    event.preventDefault();

    document.getElementById('container_modal');

    fetch('/plats')
        .then(response => {
            if (!response.ok) {
                throw new Error('Erreur de chargement de la section Table');
            }
            return response.text();
        })
        .then(html => {
            // Insérer le HTML dans le conteneur et l'afficher
            container_modal.innerHTML = html;
            container_modal.style.display = 'block';
        })
        .catch(error => {
            console.error('Erreur:', error);
        });
});

function addPlat (event) {
    document.getElementById('container_modal');

    fetch('/plats/new')
        .then(response => {
            if (!response.ok) {
                throw new Error('Erreur de chargement de la section tables');
            }
            return response.text();
        })
        .then(html => {
            // Insérer le HTML dans le conteneur et l'afficher
            container_modal.innerHTML = html;
            container_modal.style.display = 'block';
        })
        .catch(error => {
            console.error('Erreur:', error);
        });
}

function editMenu (event) {
    document.getElementById('container_modal');
    const IdString = event.getAttribute('data-id');
    let Id = parseInt(IdString);
    fetch(`/plats/${Id}/edit`)
        .then(response => {
            if (!response.ok) {
                throw new Error('Erreur de chargement de la section tables');
            }
            return response.text();
        })
        .then(html => {
            // Insérer le HTML dans le conteneur et l'afficher
            container_modal.innerHTML = html;
            container_modal.style.display = 'block';
        })
        .catch(error => {
            console.error('Erreur:', error);
        });
}
